--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: cleanup_env
- !ruby/object:RI::MethodSummary 
  name: cleanup_logs
- !ruby/object:RI::MethodSummary 
  name: create_db
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: open_db
- !ruby/object:RI::MethodSummary 
  name: stats
comment: 
- !ruby/struct:SM::Flow::P 
  body: DBTree is a BTree equivalent of DBHash, with case insensitive lookups.
constants: []

full_name: Irc::DBTree
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: method_missing
name: DBTree
superclass: Object
